{
    name: "Up-Grade",
    spritenum: 523,
    fling: {
        basePower: 30
    },
    onModifyMovePriority: -2,
    onModifyMove(move, pokemon) {
        if (move.secondaries && pokemon.species.name === 'Porygon2' && move.id === 'triattack') {
            this.debug("doubling secondary chance");
            for (const secondary of move.secondaries) {
                if (secondary.chance)
                    secondary.chance *= 3;
            }
        }
    },
    num: 252,
    gen: 2
}
